Summary: Chllisoft ASP 3.5.2  
Name: chiliasp
Version: 3.5.2
Vendor: Cobalt Networks Inc.
Release: 43 
Copyright: Chilisoft 2000
Packager: Will DeHaan, Cobalt Networks Inc. 
Group: Base
Source0: raq5-chiliasp.tar.gz
Source1: chiliasp.logrotate
Source2: chiliasp.installed_db
#Patch0: chiliasp-noindex.patch
Prereq: /usr/sbin/useradd /usr/bin/perl /sbin/chkconfig

# these are here because of the way that chilisoft does its linking
Provides: libadvapi.so libcaspcomm.so libhpi.so libjvm.so libkernel.so libole.so liboleaut.so libpq.so libYYbas15.so libYYflt15.so libYYmfront.so libYYutl15.so libatl.so libawt.so libcasplic.so libclntsh.so libifgls.so libifglx.so libjava.so libmlib_image.so libmysqlclient.so.6 libodbc.so libodbcinst.so libtcl.so libthasf.so libthgen.so libthos.so libthsql.so libXm.so.2 libXpm.so.4

BuildRoot: /tmp/chiliasp

%description
- ASP support for Cobalt Servers

%changelog
* Thu Apr 27 2000 Will DeHaan <will@cobalt.com>
- Initial package

%prep

%setup -q -c -n chiliasp 
#%patch0 -p1 -b .index

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/home/chiliasp
install -m 644 $RPM_SOURCE_DIR/chiliasp.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/chiliasp
install -m 644 $RPM_SOURCE_DIR/chiliasp.installed_db $RPM_BUILD_ROOT/home/chiliasp/.installed_db
tar cpBf - . | (cd $RPM_BUILD_ROOT/home/; tar xpBf -)

%pre
/usr/sbin/groupadd -g 50 chiliasp >/dev/null 2>&1
/usr/sbin/useradd -M -u 50 -g 50 -o -d /home/chiliasp -s /bin/bash \
	-c "ChiliSoft ASP" chiliasp >/dev/null 2>&1

%post
#chown -R chiliasp.chiliasp /home/chiliasp/.ftphelp > /dev/null 2>&1
chown -R chiliasp.chiliasp /home/chiliasp/group > /dev/null 2>&1
chown -R chiliasp.chiliasp /home/chiliasp/user > /dev/null 2>&1
chown nobody.chiliasp /home/chiliasp/admin/conf/service.pwd
chmod 400 /home/chiliasp/admin/conf/service.pwd

# create some symlinks
for edir in /home/chiliasp/asp-apache-*; do
	if [ ! -e "$edir/testadocon" ]; then
		ln -sf /home/chiliasp/lib/testadocon "$edir/testadocon";
		ln -sf /home/chiliasp/lib/testadoconnection "$edir/testadoconnection";
	fi
done

# register controls
(cd /home/chiliasp; ./chregsvr /home/chiliasp/lib/libchiliado.so)
(cd /home/chiliasp; ./chregsvr /home/chiliasp/lib/libchiliadox.so)

# let others know that chiliasp uses these ports
if ! grep -q ChiliASP /etc/services; then
	cat <<EOF >> /etc/services
# start of ChiliASP services
chiliasp0		tcp/3000 # chiliasp port
chiliasp1		tcp/3001 # chiliasp port
chiliasp2		tcp/3002 # chiliasp port
chiliasp3		tcp/3003 # chiliasp port
chiliasp4		tcp/3004 # chiliasp port
chiliasp5		tcp/3005 # chiliasp port
chiliasp6		tcp/3006 # chiliasp port
chiliasp7		tcp/3007 # chiliasp port
chiliasp8		tcp/3008 # chiliasp port
chiliasp9		tcp/3009 # chiliasp port
chiliasp10		tcp/3010 # chiliasp port
# end of ChiliASP services
EOF
fi 

if ! grep -q chiliasp /etc/ld.so.conf; then 
	echo '/home/chiliasp/lib' >> /etc/ld.so.conf
fi
/sbin/ldconfig > /dev/null 2>&1

%postun
if grep -q ChiliASP /etc/services; then
	sed -e '/^# start of ChiliASP services$/,/^# end of ChiliASP services$/d' < /etc/services > /tmp/services.tmp$$
	cat /tmp/services.tmp$$ > /etc/services
	rm /tmp/services.tmp$$
fi

if grep -q chiliasp /etc/ld.so.conf; then 
	grep -v '/home/chiliasp/lib' < /etc/ld.so.conf > /tmp/ld.so.conf$$
	cat /tmp/ld.so.conf$$ > /etc/ld.so.conf
	rm /tmp/ld.so.conf$$
	/sbin/ldconfig >& /dev/null
fi

/usr/sbin/userdel chiliasp >& /dev/null
/usr/sbin/groupdel chiliasp >& /dev/null

%clean

%files
%defattr(-,chiliasp,chiliasp)
%dir /home/chiliasp
/home/chiliasp/*
#/home/chiliasp/.ftphelp
/home/chiliasp/.installed_db
%config /etc/logrotate.d/chiliasp
